Delete Webhook
curl --request DELETE \
--url https://api.pro.daya.co/public/v1/webhooks/{id} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.pro.daya.co/public/v1/webhooks/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.pro.daya.co/public/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Webhook deleted successfully",
"data": null,
"timestamp": "2024-01-15T12:00:00Z"
}
Webhooks API
Delete Webhook
Delete a webhook and all its delivery logs
DELETE
/
public
/
v1
/
webhooks
/
{id}
Delete Webhook
Overview
Delete a webhook endpoint. This also deletes all delivery logs associated with the webhook. This action cannot be undone.Pro webhook setup and configuration changes are support-managed. Contact support@daya.co if you need to remove a webhook endpoint from your Pro account.
Authentication
Your API key with Write scope
X-Api-Key: daya_sk_YOUR_API_KEY
Path Parameters
Webhook ID (UUID)Example:
770e8400-e29b-41d4-a716-446655440000Request Examples
curl --request DELETE \
--url 'https://api.pro.daya.co/public/v1/webhooks/770e8400-e29b-41d4-a716-446655440000' \
--header 'X-Api-Key: daya_sk_YOUR_API_KEY'
const webhookId = '770e8400-e29b-41d4-a716-446655440000';
const response = await fetch(
`https://api.pro.daya.co/public/v1/webhooks/${webhookId}`,
{
method: 'DELETE',
headers: { 'X-Api-Key': 'daya_sk_YOUR_API_KEY' }
}
);
const data = await response.json();
console.log('Deleted:', data.success);
import requests
webhook_id = '770e8400-e29b-41d4-a716-446655440000'
headers = {'X-Api-Key': 'daya_sk_YOUR_API_KEY'}
response = requests.delete(
f'https://api.pro.daya.co/public/v1/webhooks/{webhook_id}',
headers=headers
)
result = response.json()
print(f"Deleted: {result['success']}")
package main
import (
"encoding/json"
"fmt"
"net/http"
)
func main() {
req, _ := http.NewRequest("DELETE", "https://api.pro.daya.co/public/v1/webhooks/770e8400-e29b-41d4-a716-446655440000", nil)
req.Header.Set("X-Api-Key", "daya_sk_YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
var result map[string]interface{}
json.NewDecoder(resp.Body).Decode(&result)
fmt.Println("Deleted:", result["success"])
}
Response
Indicates if the request was successful
Human-readable response message
Success Response
{
"success": true,
"message": "Webhook deleted successfully",
"data": null,
"timestamp": "2024-01-15T12:00:00Z"
}
Error Responses
{
"success": false,
"message": "Validation error",
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid webhook ID format"
}
}
{
"success": false,
"message": "Webhook not found",
"error": {
"code": "WEBHOOK_NOT_FOUND",
"message": "No webhook found with the specified ID"
}
}
{
"success": false,
"message": "Unauthorized",
"error": {
"code": "API_KEY_INVALID",
"message": "The provided API key is invalid"
}
}
This action is permanent. All delivery logs for this webhook will be deleted and cannot be recovered.
Rate Limits
- 100 requests per minute per API key
Next Steps
Create Webhook
Create a new webhook
List Webhooks
View all webhooks
⌘I